SystemOrganization addCategory: #Compatibility!

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
and: block1 and: block2
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."

	self deprecated: 'use and:' on: '27 June 2010' in: 'Pharo1.2'.
	self
		ifFalse: [ ^ false ].
	block1 value
		ifFalse: [ ^ false ].
	block2 value
		ifFalse: [ ^ false ].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
and: block1 and: block2 and: block3
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."

	self deprecated: 'Use and: instead' on: '27 April 2010' in: 'Pharo1.2'.
	self
		ifFalse: [ ^ false ].
	block1 value
		ifFalse: [ ^ false ].
	block2 value
		ifFalse: [ ^ false ].
	block3 value
		ifFalse: [ ^ false ].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
and: block1 and: block2 and: block3 and: block4
	"Nonevaluating conjunction without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as false, then return false immediately,
		without evaluating any further blocks.
	If all return true, then return true."

	self deprecated: 'Use and: instead' on: '26 May 2010' in: 'Pharo1.2'.
	self
		ifFalse: [ ^ false ].
	block1 value
		ifFalse: [ ^ false ].
	block2 value
		ifFalse: [ ^ false ].
	block3 value
		ifFalse: [ ^ false ].
	block4 value
		ifFalse: [ ^ false ].
	^ true! !

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
or: block1 or: block2
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."

	self deprecated: 'use a or:[b or:[c]] instead' on: '5 February 2010' in: 'Pharo1.2'.
	self
		ifTrue: [ ^ true ].
	block1 value
		ifTrue: [ ^ true ].
	block2 value
		ifTrue: [ ^ true ].
	^ false! !

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
or: block1 or: block2 or: block3
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."

	self deprecated: 'use a or:[b or:[c or:[d]]] instead' on: '5 February 2010' in: 'Pharo1.2'.
	self
		ifTrue: [ ^ true ].
	block1 value
		ifTrue: [ ^ true ].
	block2 value
		ifTrue: [ ^ true ].
	block3 value
		ifTrue: [ ^ true ].
	^ false! !

!Boolean methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
or: block1 or: block2 or: block3 or: block4
	"Nonevaluating alternation without deep nesting.
	The receiver is evaluated, followed by the blocks in order.
	If any of these evaluates as true, then return true immediately,
		without evaluating any further blocks.
	If all return false, then return false."

	self deprecated: 'use a or:[b or:[c or:[d or:[e]]]] instead' on: '5 February 2010' in: 'Pharo1.2'.
	self
		ifTrue: [ ^ true ].
	block1 value
		ifTrue: [ ^ true ].
	block2 value
		ifTrue: [ ^ true ].
	block3 value
		ifTrue: [ ^ true ].
	block4 value
		ifTrue: [ ^ true ].
	^ false! !

Object subclass: #Preferences
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!Preferences commentStamp: 'MarcusDenker 6/12/2011 22:09' prior: 0!
An empty class to help people loading their code when it contains sends to  methods of the old Preferences.!

Object subclass: #Utilities
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!Utilities commentStamp: 'MarcusDenker 6/12/2011 22:08' prior: 0!
An empty class to help people loading their code when it contains sends to  methods of Utilities.!

!BlockClosure methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
fixTemps
	"Fix the values of the temporary variables used in the block that
	 are  ordinarily shared with the method in which the block is defined.
	 This is a no-op for closures, provided for backward-compatibility with
	 old BlockContexts that needed the fixTemps hack to persist."

	self deprecated: 'BlockClosure does not need to fixTemps' on: '10 February 2010' in: 'Pharo1.2'! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'MarcusDenker 5/3/2011 19:30'!
hasBindingThatBeginsWith: aString
	^globals hasBindingThatBeginsWith: aString! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
isMacOS
	self deprecated: 'Use OSPlatform' on: '1 May 2011' in: 'Pharo1.2'.
	^ self os isMacOS! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
isUnix
	self deprecated: 'Use OSPlatform' on: '1 May 2011' in: 'Pharo1.2'.
	^ self os isUnix! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
isWin32
	self deprecated: 'Use OSPlatform' on: '1 May 2011' in: 'Pharo1.2'.
	^ self os isWin32! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
isWin32CE
	self deprecated: 'Use OSPlatform' on: '1 May 2011' in: 'Pharo1.2'.
	^ self os isWin32CE! !

!SmalltalkImage methodsFor: '*compatibility' stamp: 'SeanDeNigris 8/31/2011 14:20'!
isX11
	self deprecated: 'Use OSPlatform' on: '1 May 2011' in: 'Pharo1.2'.
	^ self os isX11! !

Morph subclass: #TheWorldMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compatibility'!

!TheWorldMenu commentStamp: 'StephaneDucasse 2/23/2010 21:10' prior: 0!
Just a placeholder so that old code can still load. !
